Update company

View as Markdown

Updates a single workspace company. Requires the companies:write scope.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

company_idstringRequired

Request

This endpoint expects an object.
namestring or nullOptional1-255 characters
descriptionstring or nullOptional1-2000 characters
domainslist of objectsOptional

Response headers

X-Api-VersionstringOptional

Response

Updated company response.
objectenum
idstringformat: "^cmp_[A-Za-z0-9]+$"
created_atdatetime
updated_atdatetime
namestring or nullOptional
descriptionstringOptional
industrystringOptional
websitestringOptionalformat: "uri"
number_of_employeesintegerOptional
logo_urlstringOptionalformat: "uri"
crm_associationobjectOptional
CRM record linked to this company. Present when the company has been matched to a CRM record via integration or API.
domainslist of objectsOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error